apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: fertilization-visione-api-gateway
spec:
  template:
    spec:
      containers:
        - image: fertilization/visione-api-gateway
          env:
          - name: HASURA_GRAPHQL_METADATA_DIR
            value: /hasura-metadata
          ports:
          - containerPort: 8080
          volumeMounts:
            - name: hasura-metadata
              mountPath:  /hasura-metadata
      volumes:
        - name: hasura-metadata
          projected:
            sources:
            - configMap:
                name: fertilization-visione-api-gateway-metadata 
            - configMap:
                name: fertilization-visione-api-gateway-metadata-databases
                items:
                - key: databases.yaml
                  path: databases/databases.yaml
